﻿using DevExpress.Images;
using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            #region 토큰 에디터를 설정한다.

            this.tokenEdit.Properties.Tokens.AddToken("광주", "C01");
            this.tokenEdit.Properties.Tokens.AddToken("대구", "C02");
            this.tokenEdit.Properties.Tokens.AddToken("대전", "C03");
            this.tokenEdit.Properties.Tokens.AddToken("부산", "C04");
            this.tokenEdit.Properties.Tokens.AddToken("서울", "C05");
            this.tokenEdit.Properties.Tokens.AddToken("인천", "C06");

            #endregion

            this.tokenEdit.CustomDrawTokenGlyph += tokenEdit_CustomDrawTokenGlyph;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 토큰 에디터 토큰 글리프 커스텀 그리기 - tokenEdit_CustomDrawTokenGlyph(sender, e)

        /// <summary>
        /// 토큰 에디터 토큰 글리프 커스텀 그리기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void tokenEdit_CustomDrawTokenGlyph(object sender, TokenEditCustomDrawTokenGlyphEventArgs e)
        {
            e.Graphics.DrawImage(ImageResourceCache.Default.GetImage("images/actions/cancel_16x16.png"), e.GlyphBounds);

            e.Handled = true;
        }

        #endregion
    }
}